### Signal

# Ide TransferManager::transfer-completed

#### Declaration

    void
    transfer_completed (
      IdeTransferManager* self,
      IdeTransfer* transfer,
      gpointer user_data
    )

#### Description

This signal is emitted when a transfer has completed successfully.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`transfer` | `IdeTransfer`
| An `IdeTransfer`.
| The data is owned by the caller of the function.